ChangeSet 1.974, 2002/12/27 23:51:49-08:00, greg@kroah.com

[PATCH] USB: more dev_printk() cleanups.


diff -Nru a/drivers/usb/core/usb-debug.c b/drivers/usb/core/usb-debug.c
--- a/drivers/usb/core/usb-debug.c	Fri Dec 27 23:55:04 2002
+++ b/drivers/usb/core/usb-debug.c	Fri Dec 27 23:55:04 2002
@@ -177,7 +177,7 @@
 	if (!(buf = kmalloc(256, GFP_KERNEL)))
 		return;
 	if (usb_string(dev, index, buf, 256) > 0)
-		printk(KERN_INFO "%s: %s\n", id, buf);
+		dev_printk(KERN_INFO, dev->dev, "%s: %s\n", id, buf);
 	kfree(buf);
 }
 
diff -Nru a/drivers/usb/core/usb.c b/drivers/usb/core/usb.c
--- a/drivers/usb/core/usb.c	Fri Dec 27 23:55:04 2002
+++ b/drivers/usb/core/usb.c	Fri Dec 27 23:55:04 2002
@@ -931,7 +931,7 @@
 
 	if (prod && usb_string (dev, prod, prod_str, 256) > 0) {
 #ifdef DEBUG
-		printk (KERN_INFO "Product: %s\n", prod_str);
+		dev_printk (KERN_INFO, dev->dev, "Product: %s\n", prod_str);
 #endif
 	} else {
 		prod_str = 0;
@@ -939,7 +939,7 @@
 
 	if (mfgr && usb_string (dev, mfgr, mfgr_str, 256) > 0) {
 #ifdef DEBUG
-		printk (KERN_INFO "Manufacturer: %s\n", mfgr_str);
+		dev_printk (KERN_INFO, dev->dev, "Manufacturer: %s\n", mfgr_str);
 #endif
 	} else {
 		mfgr_str = 0;
@@ -1108,7 +1108,7 @@
 
 	/* USB device state == configured ... tell the world! */
 
-	dbg("new device strings: Mfr=%d, Product=%d, SerialNumber=%d",
+	dev_dbg(dev->dev, "new device strings: Mfr=%d, Product=%d, SerialNumber=%d\n",
 		dev->descriptor.iManufacturer, dev->descriptor.iProduct, dev->descriptor.iSerialNumber);
 	set_device_description (dev);
 
